XmDeactivateWMProtocol(3Xm)

NAME
XmDeactivateWMProtocol — a VendorShell convenience interface that deactivates a protocol without removing it.

SYNOPSIS
#include <Xm/Xm.h>
#include <X11/Protocols.h>

void XmDeactivateWMProtocol (shell, protocol)
    Widget    shell;
    Atom    protocol;

DESCRIPTION
XmDeactivateWMProtocol is a convenience interface. It calls XmDeactivateProtocol with the property value set to the atom returned by interning WM_PROTOCOLS.

shell
    Specifies the widget with which the protocol property is associated.

protocol
    Specifies the protocol atom (or an int cast to Atom).

For a complete definition of VendorShell and its associated resources, see VendorShell(3Xm).

RELATED INFORMATION
VendorShell(3Xm), XmDeactivateProtocol(3Xm), and XmInternAtom(3Xm).